package teethferries.persistence;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.Reader;
import java.util.ArrayList;
import java.util.List;
import java.util.NoSuchElementException;
import java.util.StringTokenizer;

import teethferries.model.Porto;
import teethferries.model.Tratta;

public class MyTratteReader implements TratteReader
{

	@Override
	public List<Tratta> leggiTratte(Reader inReader) throws IOException, MalformedFileException
	{
		List<Tratta> tratte = new ArrayList<Tratta>();
		BufferedReader tratteReader = new BufferedReader(inReader);
		try
		{
			String line;
			while ((line = tratteReader.readLine()) != null)
			{
				StringTokenizer tokenizer = new StringTokenizer(line, "\t");
				
				String id = tokenizer.nextToken().trim();
				Porto partenza = new Porto(tokenizer.nextToken().trim());
				Porto arrivo = new Porto(tokenizer.nextToken().trim());
				tratte.add(new Tratta(id, partenza, arrivo));
			}
		}
		catch (NoSuchElementException e)
		{
			throw new MalformedFileException(e);
		}
		return tratte;
	}

}
