package teethferries.ui;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import teethferries.model.*;

public class MainController implements Controller {
	private List<Tratta> tratte;
	private List<Servizio> servizi;
	private List<Porto> porti;
	
	public MainController(List<Tratta> tratte, List<Servizio> servizi){
		if (tratte == null)
			throw new IllegalArgumentException("tratte");
		if (servizi == null)
			throw new IllegalArgumentException("servizi");
		
		this.tratte=tratte;
		this.servizi=servizi;
		this.porti = estraiPortiDaTratte();
	}
	
	private List<Porto> estraiPortiDaTratte() {
		Set<Porto> insiemePortiSenzaDuplicati = new HashSet<>();
		for (Tratta t: tratte){
			insiemePortiSenzaDuplicati.add(t.getPortoArrivo());
			insiemePortiSenzaDuplicati.add(t.getPortoPartenza());
		}
		List<Porto> listaPorti = new ArrayList<>();
		listaPorti.addAll(insiemePortiSenzaDuplicati);
		listaPorti.add(0, Porto.ANY);
		return listaPorti;
	}

	public List<Porto> elencoPorti() {
			return porti;
	}

	public List<Tratta> listaTratte() {
		return tratte;
	}

	public List<Servizio> listaServizi() {
		return servizi;
	}

}
